ata_xfer_mask2mode
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_xfer_mask2mode — Find matching XFER_* for the given xfer_mask

## Synopsis

`u8 ata_xfer_mask2mode (` | unsigned int | xfer_mask`)`;

## Arguments

`xfer_mask`

  xfer_mask of interest

## Description

Return matching XFER_* value for `xfer_mask`. Only the highest bit of `xfer_mask` is considered.

## LOCKING

None.

## RETURNS

Matching XFER_* value, 0 if no match found.

Prev | Up | Next
ata_unpack_xfermask | Home | ata_xfer_mode2mask